class Rassword
  def initialize(n_chars = 20)
    @n_chars = n_chars
    @forbidden = ["\\", "/"] # in case app is stupid
    @chars = ("0".."z").to_a.select { |char| not @forbidden.include?(char) }
    @password = ""
  end

  def generate
    while @password.size < @n_chars
      @password += @chars.sample
    end
    @password
  end

  def regenerate
    @password = ""
    generate
  end
end
